/********************************** (C) COPYRIGHT *******************************
* File Name          : main.c
* Author             : WCH
* Version            : V1.0.0
* Date               : 2020/04/30
* Description        : Main program body.
*******************************************************************************/

#include "debug.h"
#include "iic.h"
#include "eeprom.h"
#include "string.h"


uint8_t cal_flag = 0;
uint8_t k;

/*洢С飬7*/
long double double_buffer[7] = {0};
int int_bufffer[7] = {0};

#define DOUBLE_ADDR       10
#define LONGINT_ADDR      70

/*******************************************************************************
* Function Name  : main
* Description    : Main program.
* Input          : None
* Return         : None
*******************************************************************************/
int main(void)
{
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
    Delay_Init();
	USART_Printf_Init(115200);
	IIC_Init();

	printf("SystemClk:%d\r\n",SystemCoreClock);

	printf("\r\n һEEPROM дСͳʵ \r\n");

    /*ȡݱ־λ*/
    EEPROM_ReadBytes(&cal_flag, 0, 1);

    if( cal_flag != 0xCD )  /*־0xcdʾ֮ǰд*/
    {
        printf("\r\nûм⵽ݱ־FLASHûд洢ݣСдʵ\r\n");
        cal_flag =0xCD;

        /*д־0ַ*/
        EEPROM_WriteBytes(&cal_flag, 0, 1);

        /*Ҫд*/
        for( k=0; k<7; k++ )
        {
           double_buffer[k] = k +0.1;
           int_bufffer[k]=k*500+1 ;
        }

        /*дСݵַ10*/
        EEPROM_WriteBytes((void*)double_buffer,DOUBLE_ADDR, sizeof(double_buffer));
        /*дݵַ60*/
        EEPROM_WriteBytes((void*)int_bufffer, LONGINT_ADDR, sizeof(int_bufffer));

        printf("оƬдݣ");
        /*ӡ*/
        for( k=0; k<7; k++ )
        {
          printf("Сtx = %LF\r\n",double_buffer[k]);
          printf("tx = %d\r\n",int_bufffer[k]);
        }

        printf("\r\n븴λ壬Զȡݽм\r\n");

    }
    else
    {
        printf("\r\n⵽ݱ־\r\n");

        /*ȡС*/
        EEPROM_ReadBytes((void*)double_buffer, DOUBLE_ADDR, sizeof(double_buffer));

        /*ȡ*/
        EEPROM_ReadBytes((void*)int_bufffer, LONGINT_ADDR, sizeof(int_bufffer));


        printf("\r\nоƬݣ\r\n");
        for( k=0; k<7; k++ )
        {
            printf("С rx = %LF \r\n",double_buffer[k]);
            printf(" rx = %d \r\n",int_bufffer[k]);
        }

    }


//	if(EEPROM_Test()==1)
//	{
//	    printf("SUCCESS\r\n");
//	}
//	else
//	{
//	    printf("FAIL\r\n");
//    }

	while(1)
    {
	}
}

